# MorphoTokenWrap

### Description

Wraps Legacy MORPHO token to new Wrapped MORPHO token

### Action ID

`0x8b09e29d`

### SDK Action

```ts
const morphoTokenWrapAction = new dfs.actions.morpho-blue.MorphoTokenWrapAction(
    to,
    amount
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param to The address to which to send the new Wrapped MORPHO tokens
    /// @param amount The amount of Legacy MORPHO tokens to wrap, if type(uint256).max wraps whole wallet balance
    struct Params {
        address to;
        uint256 amount;
    }
```

### Return Value

```solidity
return bytes32(amount);
```

### Events and Logs

```solidity
emit ActionEvent("MorphoTokenWrap", logData);
logger.logActionDirectEvent("MorphoTokenWrap", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/morphoblue/morphotokenwrap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
